Index: channels/chan_iax2.c
===================================================================
--- channels/chan_iax2.c	(revision 35390)
+++ channels/chan_iax2.c	(working copy)
@@ -6771,10 +6771,9 @@
 				break;
 			case IAX_COMMAND_TXACC:
 				if (iaxs[fr->callno]->transferring == TRANSFER_BEGIN) {
-					/* Ack the packet with the given timestamp */
+					/* Cancel any outstanding txcnt's */
 					ast_mutex_lock(&iaxq.lock);
 					for (cur = iaxq.head; cur ; cur = cur->next) {
-						/* Cancel any outstanding txcnt's */
 						if ((fr->callno == cur->callno) && (cur->transfer))
 							cur->retries = -1;
 					}
@@ -7509,8 +7508,10 @@
 				try_transfer(iaxs[fr->callno], &ies);
 				break;
 			case IAX_COMMAND_TXCNT:
-				if (iaxs[fr->callno]->transferring)
+				if (iaxs[fr->callno]->transferring) { 
+					memcpy(&iaxs[fr->callno]->transfer, &sin, sizeof(iaxs[fr->callno]->transfer));
 					send_command_transfer(iaxs[fr->callno], AST_FRAME_IAX, IAX_COMMAND_TXACC, 0, NULL, 0);
+				}
 				break;
 			case IAX_COMMAND_TXREL:
 				/* Send ack immediately, rather than waiting until we've changed addresses */
